#pragma once

namespace maps::wiki::diffalert {

struct MessageReporter;
class DiffContext;

void checkCategoryChangeLongTask(const DiffContext&, MessageReporter&);
void checkCategoryChangeModeration(const DiffContext&, MessageReporter&);
void checkLocationChangeLongTask(const DiffContext&, MessageReporter&);
void checkLocationChangeModeration(const DiffContext&, MessageReporter&);

} // namespace maps::wiki::diffalert
